io.etcd.jetcd.kv

## Class PutResponse

- java.lang.Object
- - io.etcd.jetcd.AbstractResponse<PutResponse>
  - - io.etcd.jetcd.kv.PutResponse

All Implemented Interfaces:
  Response

    public class PutResponse
    extends AbstractResponse<PutResponse>

### Nested Class Summary

### Nested classes/interfaces inherited from interface io.etcd.jetcd.Response

`Response.Header`

### Constructor Summary

Constructors
Constructor and Description
`PutResponse(PutResponse putResponse, ByteSequence namespace)`

### Method Summary

All Methods Instance Methods Concrete Methods
`KeyValue` `getPrevKv()` return previous key-value pair.
`boolean` `hasPrevKv()`

### Methods inherited from class io.etcd.jetcd.AbstractResponse

`getHeader, getResponse, getResponseHeader, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PutResponse

    public PutResponse(PutResponse putResponse,
                       ByteSequence namespace)

### Method Detail

#### getPrevKv

    public KeyValue getPrevKv()

return previous key-value pair.

#### hasPrevKv

    public boolean hasPrevKv()